# ionoscloud\_pg\_user

The **PgSql User data source** can be used to search for and return an existing PgSql user.

## Example Usage

```hcl
data "ionoscloud_pg_user" "example" {
   cluster_id = "cluster_id"
   username   = "username"
}
```

## Argument Reference

* `cluster_id` - (Required)\[string] The ID of the cluster.
* `username` - (Required)\[string] Name of an existing user that you want to search for.

## Attributes Reference

The following attributes are returned by the datasource:

* `id` - \[string] The id of the user.
* `is_system_user` - \[bool] Describes whether this user is a system user or not. A system user cannot be updated or deleted.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/dbaas_pgsql_user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
